#pragma once

#include <string>  // Para string
#include <vector>  // Para vector

class RoomTracker {
    private:
        // Variables
        std::vector<std::string> list_;  // Lista con las habitaciones visitadas

        // Comprueba si la habitación ya ha sido visitada
        auto hasBeenVisited(const std::string& name) -> bool;

    public:
        // Constructor
        RoomTracker() = default;

        // Destructor
        ~RoomTracker() = default;

        // Añade la habitación a la lista
        auto addRoom(const std::string& name) -> bool;
};
